import os, sys
sys.path.append(os.path.join(os.path.dirname(__file__), "lib"))
from myOpenstackApp.logger import log


import myOpenstackApp
testProjectName="SmokeTest"
testProjectExists=False
testProject=""
cleanupResourcesOnCompletion=True

y=myOpenstackApp.OSC
y.initalise()
# y.ks.getCatalog()
# print(y.something())
# print(y._keystone)

log.info("Starting")

allProjects=y.ks.getAllProjects()


#Does my test project ID already exist?
for _project in allProjects['projects']:
    if _project['name']==testProjectName:
        testProject=_project
        testProjectExists=True

if testProjectExists:
    log.error("Project already exists")
    log.info(testProject['id'])

else:
    # Create test project
    log.info("{} project does not exist, creating".format(testProjectName))
    testProject=y.ks.createProject(testProjectName,"Description goes here")['project']
    log.info(testProject['id'])

#Does my test network exist?
allNetworks=y.neutron.getAllNetworks(testProject['id'])
log.info(allNetworks)


def cleanUp():
    log.info("Cleaning up")
    log.info("Deleting project")
    y.ks.deleteProject(testProject['id'])
    #Delete VM
    #Delete router
    #Delete Network
    #Delete project
    pass


if cleanupResourcesOnCompletion: 
    cleanUp()
